body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
}

.container {
    display: flex;
    height: 100vh;
}

.canvas {
    flex: 1;
    padding: 10px;
    overflow: auto;

    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-auto-rows: 220px;

    gap: 0;
    column-gap: 0;
    row-gap: 0;

    background: #f5f5f5;
}

.sidebar {
    width: 180px;
    padding: 10px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    background: #ffffff;
}

.btn {
    padding: 10px;
    border: none;
    cursor: pointer;
    background-color: #15AFB3;
    color: white;
    font-weight: bold;
}

.btn.disabled {
    background-color: #ccc;
    cursor: default;
}

.modal {
    display: none; 
    position: fixed; 
    z-index: 10; 
    left: 0; top: 0;
    width: 100%; height: 100%;
    overflow: auto; 
    background-color: rgba(0,0,0,0.5);
}

.modal-content {
    background-color: #fff;
    margin: 15% auto; 
    padding: 20px;
    width: 300px;
    border-radius: 5px;
}

.mol-div {
    width: 100%;
    height: 220px;

    box-sizing: border-box;
    overflow: hidden;

    border: 1px solid #ddd;
    background: white;

    display: flex;
    align-items: center;
    justify-content: center;

    cursor: pointer;
}

.mol-hover {
    z-index: 20;
    transform: scale(1.4);
    box-shadow: 0 0 12px rgba(0,0,0,0.25);
}

.close {
    float: right;
    font-size: 24px;
    cursor: pointer;
}

.modal-buttons {
    display: flex;
    justify-content: space-between;
    margin-top: 10px;
}

.main-panel{

    flex:1;

    display:flex;

    flex-direction:column;

}


.mol-svg-box {
    width: 100%;
    height: 100%;

    overflow: hidden;

    display: flex;
    align-items: center;
    justify-content: center;
}

#molZoomOverlay {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.7);
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
}

#molZoomBox {
    background: white;
    padding: 12px;
    border-radius: 6px;
}

#molZoomImage {
    width: 700px;
    height: 700px;
    overflow: hidden;
}

#molZoomButtons {
    text-align: right;
    margin-top: 8px;
}

#molZoomButtons button {
    background: #15AFB3;
    color: white;
    border: none;
    padding: 6px 12px;
    margin-left: 6px;
    cursor: pointer;
}